JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes
juce_Component.h File Reference

## Classes
class | Component
| The base class for all JUCE user-interface objects. More...
class | Component::SafePointer< ComponentType >
| Holds a pointer to some type of Component, which automatically becomes null if the component is deleted. More...
class | Component::BailOutChecker
| A class to keep an eye on a component and check for it being deleted. More...
class | Component::Positioner
| Base class for objects that can be used to automatically position a component according to some kind of algorithm. More...